
TYPO3.Fluid - Feature # 44572

Status: Resolved Priority: Could have
Author: Adrian Föder Category: ViewHelpers
Created: 2013-01-16 Assigned To: Adrian Föder
Updated: 2014-05-08 Due date:
Has patch: No
Subject: Format.Case ViewHelper in order to change the case of string values
Description

Have an f:format.case ViewHelper with the options "lower", "upper" and "capital" which results into strtolower, strtoupper, and ucfirst.

Related issues:
related to Core - Feature # 58621: Format.Case ViewHelper in order to change ... Resolved 2014-05-08
duplicates TYPO3.Fluid - Feature # 27091: Viewhelpers for strtolower/strtoupper Closed 2011-05-27

Associated revisions
Revision 770f32c4 - 2013-03-26 16:09 - Adrian Föder

[FEATURE] Add a Format.Case ViewHelper

This adds a Format.Case ViewHelper that changes
a string's case in various manners like uppercase,
lowercase, (un-)capitalization and
each-word-capitalization.

Change-Id: Ibabab201d3181b932945a5b38451b0ac6d8109ce
Resolves: #44572
Releases: master

History
#1 - 2013-01-16 17:42 - Adrian Föder
- Status changed from Accepted to Under Review

Under Review at https://review.typo3.org/#/c/17564/

#2 - 2013-03-26 16:09 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17564

#3 - 2013-03-26 16:39 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:770f32c48fbc82b0d364eb3e2e8105834bca3dd2.
#4 - 2013-05-09 17:22 - Bastian Waidelich

FYI: I just added a test case for this View helper to the Viewhelpertest package: https://review.typo3.org/#/c/20671/

#5 - 2013-08-17 11:23 - Robert Wildling

It does not seem to be resolved, unless I am misunderstanding something here.
The namespaces is wrong, if used with TYPO3 CMS 6: at the moment it is

namespace TYPO3\Fluid\ViewHelpers\Format;

but should be:

namespace TYPO3\CMS\Fluid\ViewHelpers\Format;

(with the "CMS\")

This is also true for the class definition.

Please correct me, if my comment here is in a wrong context. Thanks!

#6 - 2014-01-30 14:41 - Michael H.
- Status changed from Resolved to New
- % Done changed from 100 to 40

Can't find "CaseViewHelper.php" in "typo3_src-6.2.0alpha2".
Please add the ViewHelper to V6.2.0. 
Thank you!

#7 - 2014-03-03 21:09 - Bjoern Jacob

Will this be part of TYPO3 6.2?

#8 - 2014-05-07 14:44 - Adrian Föder
- Status changed from New to Resolved

Robert, Michael and Bjoern: could you please, if any, open an issue at http://forge.typo3.org/projects/typo3v4-fluid and point to this one? This thread is
for TYPO3 Flow's Fluid.

#9 - 2014-05-08 09:48 - Bjoern Jacob
- % Done changed from 40 to 100

Thx for your reply. Created ticket #58621. Since this is resolved in Fluid I change back done to 100%.
